from rest_framework.response import Response
from rest_framework.status import HTTP_200_OK

from vvecon.zorion.views import API, GetMapping, Mapping

from ..payload.response import BannerResponse
from ..services import BannerService

__all__ = ['V1Banner']


@Mapping('api/v1/banner')
class V1Banner(API):
    bannerService = BannerService()

    @GetMapping('/')
    def getAllBanners(self):
        return BannerResponse(data=self.bannerService.getAll(), many=True).json()
